name: fish-speech

services:
  webui:
    extends:
      file: compose.base.yml
      service: app-base
    build:
      target: webui
    environment:
      COMPILE: ${COMPILE:-0}
    profiles: ["webui"]
    ports:
      - "${GRADIO_PORT:-7860}:7860"

  server:
    extends:
      file: compose.base.yml
      service: app-base
    build:
      target: server
    shm_size: 16g
    environment:
      COMPILE: ${COMPILE:-0}
      HALF: ${HALF:-true}
    profiles: ["server"]
    ports:
      - "${API_PORT:-8080}:8080"
